USB_EP_SET_MAXPACKET(9)

NAME
usb_ep_set_maxpacket_limit - set maximum packet size limit for endpoint

SYNOPSIS

void usb_ep_set_maxpacket_limit(struct usb_ep * ep, unsigned maxpacket_limit);

ARGUMENTS

ep
    the endpoint being configured

maxpacket_limit
    value of maximum packet size limit

DESCRIPTION

This function shoud be used only in UDC drivers to initialize endpoint (usually in probe function).

AUTHOR

David Brownell <dbrownell@users.sourceforge.net>
    Author.

COPYRIGHT